Update Customer Settings per Channel
Update the customer settings per channel
Required Fields
channel_id: Provide achannel_idarray containing one or more channel IDs. Customers will have access to these channels and no others. This array cannot be empty.
Notes
- Setting
nullwill delete override per given channel, and values will be inherited from the global level. Make sure the channel hasallow_global_loginsenabled.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
channel_id
The ID of the channel.
store_hash
Permanent ID of the BigCommerce store.
Request
This endpoint expects an object.
privacy_settings
Controls the privacy settings.
customer_group_settings
The settings for a collection of customers.
allow_global_logins
- Determines if a channel allows global customer to login
- Determines if customers created on this channel will get global access/login
Response
Customer settings are returned.
data
Customer Settings.
meta